package com.informationkinematics.imsforward;

/**
 * Title:        EnvVarNotFoundException<br>
 * Description:  Stores com.informationkinematics.imsforward.Environment's exception messages.<br>
 * Copyright:    Copyright (c) 2001 by Information Kinematics under GNU General Public License
 *               (see package description for more information)<br>
 * Company:      Information Kinematics<br>
 * @author Florian Steinsiepe, Adrian Zaugg
 * @version 0.9.2
 */

public class EnvVarNotFoundException extends Exception
{
	private String sEnvVarName;

	/**
	 * Calls superclass' empty constructor.
	 */
	public EnvVarNotFoundException()
	{
		super();
	}

	/**
	 * Calls superclass' constructor with sMessage and stores
	 * sEnvVarName internally.
	 *
	 * @param sMessage java.lang.String
	 * @param sEnvVarName java.lang.String
	 */
	public EnvVarNotFoundException(String sMessage, String sEnvVarName)
	{
		super(sMessage);
		this.sEnvVarName = sEnvVarName;
	}

	/**
	 * Returns the (OS-specifically formatted) name of the environment variable
	 * for which the value couldn't be determined.
	 *
	 * return java.lang.String
	 */
	public String getEnvVarName()
	{
		return sEnvVarName;
	}
}